<template>
  <el-container style="flex-grow:1">
    <el-main class="containMain">
      <div class="contentTitle">{{pageTitle}}</div>
      <el-form ref="form" :model="formData" label-width="80px" style="margin-top:20px">
        <el-form-item label label-width="0">
          <el-input v-model="formData.cowID" prefix-icon="el-icon-search" style="width:300px" maxlength="8"></el-input>
          <el-button type="primary" @click="getNowCow" style="width:90px;margin-left:12px">确认</el-button>
        </el-form-item>
        <div class="sub" v-if="tableData.length>0">操作牛号：{{tableData[0].value}}</div>
        <el-form-item label="测试体重">
          <el-input v-model="formData.weight" style="width:200px;" placeholder="输入体重，单位kg"></el-input>
        </el-form-item>

        <el-form-item label="十字部高">
          <el-input v-model="formData.tenHeight" style="width:200px;" placeholder="输入十字部高,单位cm"></el-input>
        </el-form-item>

        <el-form-item label="肩胛高">
          <el-input v-model="formData.height" style="width:200px;" placeholder="输入肩胛高,单位cm"></el-input>
        </el-form-item>

        <div style="margin-top:80px">
          <el-button @click="onSave" type="primary" style="width:98px;" size="mediu">确认提交</el-button>
        </div>
      </el-form>
    </el-main>
    <el-aside class="containAside" width="450px">
      <div class="asideInfo">
        <div class="contentTitle">牛只信息</div>
        <el-table class="handleTable" border :data="tableData" style="width: 100%" :height="(allHeight-70)+'px'" size="small">
          <el-table-column prop="key" label="参数"></el-table-column>
          <el-table-column prop="value" label="当前牛只信信息"></el-table-column>
        </el-table>
      </div>
    </el-aside>
  </el-container>
</template>
<script>
import formValidator from '../formValidator'
import axios from 'axios'
import { mapState } from 'vuex'
export default {
  created() {
    //流产原因
    this.getHaleInfo('wsBreeding', 'getUnnormalCalvReason', [], 'list').then((data) => {
      this.reasons = data
      this.formData.unnormalCalvReason = data[0]['名称']
    })

  },
  data() {
    return {
      saving: false,
      formData: {
        "cowID": '',
        "weight": '',
        "tenHeight": '',
        "height": ''
      },
      reasons: [],
      tableData: []
    }
  },
  computed: {
    ...mapState(['userInfo', 'allHeight']),
    pageTitle() {
      return this.$route.meta.title
    }
  },
  watch: {
    'formData.reason'() {
      setTimeout(() => {
        this.formData.remark = this.remarks[0]
      }, 100)
    },
    'formData.cowID'() {
      if (this.formData.cowID.length != 8) {
        return
      }
      this.getNowCow()
    }
  },
  methods: {
    onSave() {
      if (!this.formData.cowID) {
        this.$message({
          message: '请录入牛只牛号',
          type: 'warning'
        });
        return
      }

      if (!this.formData.weight) {
        this.$message({
          message: '请录入测试体重',
          type: 'warning'
        });
        return
      }

      if (!this.formData.tenHeight) {
        this.$message({
          message: '请录入十字部高',
          type: 'warning'
        });
        return
      }

      if (!this.formData.height) {
        this.$message({
          message: '请录入肩胛高',
          type: 'warning'
        });
        return
      }

      this.getHaleInfo('wsCalving', 'addGrowthMessure', [
        this.formData.cowID, this.formData.weight, this.formData.tenHeight, this.formData.height, '', this.userInfo.username
      ], 'json').then((data) => {
        if (data.rtnCode == -1) {
          this.$alert(data.rtnMessage, '提示', {
            confirmButtonText: '确定',
            callback: action => {
              this.formData.cowID = ''
            }
          });
        }
        else {
          this.$message({
            message: '录入成功',
            type: 'success'
          });
          this.formData = {
            "cowID": '',
            "weight": '',
            "tenHeight": '',
            "height": ''
          }
        }
      })
    },
    getNowCow() {
      if (this.formData.cowID.length != 8) {
        return
      }

      this.getCowInfo(this.formData.cowID, 99).then((data) => {
        // console.log(data)
        var list = []
        Object.keys(data).forEach(item => {
          list.push({
            key: item,
            value: data[item]
          })
        })

        // console.log(list)

        this.tableData = list
      }).catch(() => {
        this.formData.cowID = ''
      })
    }
  }
}
</script>
<style lang="less" scoped>
.containMain {
  background: rgba(255, 255, 255, 1);
  border-radius: 4px;
  padding: 15px;
  // margin-right: 10px;
  .contentTitle {
    border-bottom: 1px solid #f2f4f5;
  }
  // min-width: 450px;

  .sub {
    font-size: 14px;
    font-weight: 600;
    color: rgba(102, 102, 102, 1);
    line-height: 20px;
    margin-bottom: 40px;
    padding-left: 20px;
  }
}

.contentTitle {
  font-size: 16px;
  font-weight: bold;
  color: rgba(0, 0, 0, 1);
  line-height: 22px;
  letter-spacing: 1px;
  padding-bottom: 14px;
}

.containAside {
  padding: 0;
  margin-left: 10px;
  display: flex;
  flex-direction: column;
  .asideInfo {
    flex-grow: 1;
    background: rgba(255, 255, 255, 1);
    border-radius: 4px;
    padding: 15px;
  }
}
</style>
